gpu_id=0

declare -a arr=("/mnt/blob/task/rt1_windowx_zero_state/checkpoints/rt1_bridge_pre/rt1_bridge_zero/70000")
# pi/pi-Large pi/pi-Small
for ckpt_path in "${arr[@]}"; do echo "$ckpt_path"; done
config_name=pi0_rt1_eef_fullstate

logging_dir=mixed_70000_pi_move_near_variant_agg

# base setup

env_name=MoveNearGoogleInScene-v0
scene_name=google_pick_coke_can_1_v4

for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1;

done



# distractor

for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1 \
  --additional-env-build-kwargs no_distractor=True;

done


# backgrounds

env_name=MoveNearGoogleInScene-v0
declare -a scene_arr=("google_pick_coke_can_1_v4_alt_background" \
                      "google_pick_coke_can_1_v4_alt_background_2")

for scene_name in "${scene_arr[@]}";

do for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1;

done

done





# lighting

env_name=MoveNearGoogleInScene-v0
scene_name=google_pick_coke_can_1_v4

for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1 \
  --additional-env-build-kwargs slightly_darker_lighting=True;

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1 \
  --additional-env-build-kwargs slightly_brighter_lighting=True;

done





# table textures

env_name=MoveNearGoogleInScene-v0
declare -a scene_arr=("Baked_sc1_staging_objaverse_cabinet1_h870" \
                      "Baked_sc1_staging_objaverse_cabinet2_h870")

for scene_name in "${scene_arr[@]}";

do for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1;

done

done




# camera orientations

declare -a env_arr=("MoveNearAltGoogleCameraInScene-v0" \
                   "MoveNearAltGoogleCamera2InScene-v0")
scene_name=google_pick_coke_can_1_v4

for env_name in "${env_arr[@]}";

do for ckpt_path in "${arr[@]}";

do python main_inference.py --policy-model pi --ckpt-path ${ckpt_path} --config-name ${config_name} \
  --robot google_robot_static --action-scale 1.0 \
  --logging-dir ${logging_dir} \
  --control-freq 3 --sim-freq 513 --max-episode-steps 80 \
  --env-name ${env_name} --scene-name ${scene_name} \
  --robot-init-x 0.35 0.35 1 --robot-init-y 0.21 0.21 1 --obj-variation-mode episode --obj-episode-range 0 60 \
  --robot-init-rot-quat-center 0 0 0 1 --robot-init-rot-rpy-range 0 0 1 0 0 1 -0.09 -0.09 1;

done

done